{% extends "base.html" %}

{% block content %}
<h1>Quizlet Scraper</h1>
<form id="quizlet-scraper-form">
    <label for="quizlet-url">Quizlet URL:</label>
    <input type="text" id="quizlet-url" name="quizlet_url" required>
    <button type="submit">Scrape Terms</button>
</form>
<div class="results-wrapper">
    <div id="result-container"></div>
</div>
{% endblock %}

{% block script %}
<script src="/static/js/quizlet_scraper.js"></script>
{% endblock %}